View Issue Details

IDProjectCategoryView StatusLast Update
0003967unrealircdpublic2011-12-25 12:55
ReporternenotopiaAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.2.10-rc1 
Summary0003967: [patch] Use modern numeric replies for LUSERS
Descriptionhello,

current versions of various IRCds have changed the numeric format for LUSERS output.

the attached patch changes the numeric format used for LUSERS to bring it in line with the current numeric format.

please consider applying it for 3.2.9 or 3.2.10.
TagsNo tags attached.
3rd party modules

Relationships

child of 0003915 resolvedsyzop Unreal3.2.10 TODO 
child of 0004301 resolvedsyzop Unreal3.2.10 TODO 

Activities

nenotopia

2010-11-17 21:27

reporter  

unreal-ircv3-numerics.patch (1,584 bytes)

Stealth

2010-11-21 04:35

reporter   ~0016437

I am not sure if we should really change this, as the patch filename implies it's for IRCv3 compatibility, which Unreal is not.

If we were to make Unreal fully compatible for IRCv3, we should do it all at once and not individual small changes. We should also include a method so admins can go backwards to the current IRC standard.

PS: I have yet to see an IRCd send me the 'new' numerics. It would be nice if you can provide names and versions so we can verify these are stable-branch additions to released versions of those IRCds.

nenotopia

2010-11-21 05:43

reporter   ~0016438

hi,

following ircd versions,

- ircd-ratbox 1.5 and later
- ircd-hybrid 7.3 (unreleased)
- charybdis (all versions)
- ircnet ircd 2.10+
- conferenceroom 4+

all support the new LUSERS numeric format for years now. there are also some variants of ircu which support the new numeric, but i don't pay much attention to ircu.

nenotopia

2010-11-21 05:50

reporter   ~0016439

regarding implementation of other IRCv3 features, I plan to introduce client capability negotiation patches into the 3.2.10 development cycle as well.

SASL however will require the addition of unique IDs to the server protocol, so it should wait for the next development cycle. i'm not concerned about there being problems adding unique IDs to the protocol as having a fallback is easy enough, but it needs to wait for 3.2.11.

the LUSERS change is an optional component which clients can take advantage of immediately with no side-effects, which is why I proposed putting it into 3.2.9, but it's not going to happen there (instead it's part of the 3.2.10 todo) so by the time 3.2.10 is getting wrapped up, client capability negotiation should be there.

syzop

2011-12-25 12:55

administrator   ~0016824

- Added patch from nenotopia to use more modern LUSERS numerics (0003967).

http://hg.unrealircd.com/hg/unreal/rev/6aa52251204d

Thanks.

Issue History

Date Modified Username Field Change
2010-11-17 21:27 nenotopia New Issue
2010-11-17 21:27 nenotopia File Added: unreal-ircv3-numerics.patch
2010-11-17 21:27 nenotopia Status new => has patch
2010-11-20 10:57 syzop Relationship added child of 0003915
2010-11-21 04:35 Stealth Note Added: 0016437
2010-11-21 05:43 nenotopia Note Added: 0016438
2010-11-21 05:50 nenotopia Note Added: 0016439
2011-12-25 12:55 syzop Note Added: 0016824
2011-12-25 12:55 syzop Status has patch => resolved
2011-12-25 12:55 syzop Fixed in Version => 3.2.10-rc1
2011-12-25 12:55 syzop Resolution open => fixed
2011-12-25 12:55 syzop Assigned To => syzop